Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.proxy
Class MultiProxy.CustomClassLoader

    java.lang.Object
      java.lang.ClassLoader
          rabbit.proxy.MultiProxy.CustomClassLoader

Enclosing class:
  MultiProxy

    public static class MultiProxy.CustomClassLoader

extends java.lang.ClassLoader

The ClassLoader used to separate the instances of Proxy.

Constructor Summary
`MultiProxy.CustomClassLoader()`

Method Summary
`protected java.lang.Class` | `findClass(java.lang.String name)`
`java.lang.Class` | `loadClass(java.lang.String name, boolean resolve)`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiProxy.CustomClassLoader

    public MultiProxy.CustomClassLoader()

Method Detail

### loadClass

    public java.lang.Class loadClass(java.lang.String name,
                                     boolean resolve)
                              throws java.lang.ClassNotFoundException

  Overrides:
    `loadClass` in class `java.lang.ClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`

### findClass

    protected java.lang.Class findClass(java.lang.String name)
                                 throws java.lang.ClassNotFoundException

  Overrides:
    `findClass` in class `java.lang.ClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD